<div class="">
    <div class="">
        <div class="d-flex align-items-center mb-2">
            <p class="font-weight-bold text-secondary m-0 mr-2">RM Reasons</p>
            @include('app/patient/partials/_create-rm-reason')
        </div>
        <div class="d-flex align-items-start flex-wrap">
            <?php
            $rmReasons = [];
            if($patient->rm_reasons) {
                $rmReasons = json_decode($patient->rm_reasons);
            }
            ?>
            @if(count($rmReasons))
                @foreach ($rmReasons as $reason)
                    <span class="badge badge-info p-2 mb-2 mr-2">
                        {{ $reason->description}} ({{ $reason->icd }})
                    </span>
                @endforeach
            @else
                <div class="alert alert-info">No RM reasons</div>
            @endif
        </div>
    </div>
</div>